# $Id: smeserver-xinetd.spec,v 1.2 2021/02/24 02:23:57 jpp Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-xinetd
%define version 0.3
%define release 7
Summary: Set up xinetd for services.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools >= 1.13.1-03
Requires: smeserver-release >= 7.0
Requires: smeserver-base >= 5.6.0-34
Requires:  xinetd >= 2.3.13
AutoReqProv: no

%description
Integration package to enable xinetd on SME Server.

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.3-7.sme
- Fix e-smith references in smeserver-xinetd [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.3-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Apr 18 2008 --> Wed Apr 16 2008 or Fri Apr 18 2008 or Wed Apr 23 2008 or ....

* Tue Feb 23 2021 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-5.sme
- import for SME10 [SME: 11387]
  systemd compliant
  update event

* Fri Nov 30 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.3-4.sme
- Add configuration for smtp [SME: 10512]

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-3.sme
- add new template for the complete config file [SME: 7832]
- requires  e-smith-base >= 5.6.0-34 after other xinetd.conf fragment has been removed

* Tue Feb 13 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.3-2.sme
- fix double default template and missind xinetd.d  [SME: 7832]

* Thu Sep 24 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 0.3-1.sme
- Initial release to contribs9

* Fri Apr 18 2008 Shad L. Lords <slords@mail.com> 0.1-1
  Wed Apr 18 2008 --> Wed Apr 16 2008 or Fri Apr 18 2008 or Wed Apr 23 2008 or ....
- initial release

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"    >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post

if ! [ -L /usr/sbin/in.qpsmtpd ]; then 
    echo "Setting up symlink /usr/sbin/in.smtp /usr/sbin/in.qpsmtpd"
    ln -s in.smtp /usr/sbin/in.qpsmtpd
else
    echo " in.qpsmtpd link exists"
fi
